package com.starcharge.wios.export.impl;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.starcharge.wios.bo.SupplierBo;
import com.starcharge.wios.dao.entity.Tauxiliarymaterials;
import com.starcharge.wios.dao.mappers.TauxiliarymaterialsMapper;
import com.starcharge.wios.export.Export;
import com.starcharge.wios.service.SupplierService;
import com.starcharge.wios.vo.SupplierVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 辅材查询导出
 * 
 * @author xgl
 * @version [版本号, 2023年11月15日]
 */
@Service
public class TauxiliaryMaterialsExport implements Export<Tauxiliarymaterials> {

    @Autowired
    private TauxiliarymaterialsMapper tauxiliarymaterialsMapper;
    
    @Override
    public List<Tauxiliarymaterials> getExportList(String json) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        Tauxiliarymaterials condition = mapper.readValue(json, Tauxiliarymaterials.class);
        List<Tauxiliarymaterials> list = tauxiliarymaterialsMapper.selectTAuxiliaryMaterialsList(condition);
        int no = 1;
        for (Tauxiliarymaterials vo : list) {
            vo.setId(no++);
        }
        return list;
    }
    
}
